<template>
  <div >
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row class="pl-6 pr-6">
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="deep-orange"
          to="/kabupaten/siopa"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="300"
                  max-height="100"
                  src="../assets/kabupatens/logo_siopa.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SIOPA</span><br />
                <span class="text-subtitle-2"
                  >Kabupaten Jembrana</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="purple"
          to="/kabupaten/puspa"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="300"
                  max-height="100"
                  src="../assets/kabupatens/logo_puspa.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">PUSPA</span><br />
                <span class="text-subtitle-2"
                  >Kabupaten Badung</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    
      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="teal"
          to="/kabupaten/pinter"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="300"
                  max-height="150"
                  src="../assets/kabupatens/logo_pinter.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">PINTER</span><br />
                <span class="text-subtitle-2"
                  >Kabupaten Gianyar</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="blue-grey"
          to="/kabupaten/puspaka"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="128"
                  max-height="128"
                  src="../assets/kabupatens/logo_puspaka.png"
                ></v-img>
                <span class="font-weight-bold text-h5">PUSPAKA</span><br />
                <span class="text-h6"
                  >Kota Denpasar</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="blue"
          to="/kabupaten/lentera"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="300"
                  max-height="150"
                  src="../assets/kabupatens/logo_lentera.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">LENTERA</span><br />
                <span class="text-subtitle-2"
                  >Kabupaten Klungkung</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="orange"
          to="/kabupaten/pasupati"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="144"
                  max-height="128"
                  src="../assets/kabupatens/logo_pasupati.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">PASUPATI</span><br />
                <span class="text-subtitle-2"
                  >Kabupaten Karangasem</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="brown"
          to="/kabupaten/sila"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  width="158"
                  height="128"
                  src="../assets/kabupatens/logo_puspabang.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">PUSPABANG</span><br />
                <span class="text-subtitle-2"
                  >Kabupaten Bangli</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="red"
          to="/kabupaten/sopasti"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="300"
                  max-height="100"
                  src="../assets/kabupatens/logo_sopasti.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SOPASTI</span><br />
                <span class="text-subtitle-2"
                  >Kabupaten Tabanan</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" xl="4" lg="4" md="4" sm="6" xs="12">
        <v-card
          :height="height"
          elevation="6"
          class="rounded-xl d-flex align-center"
          color="green"
          to="/under_construction"
        >
          <v-card-text>
            <v-row>
              <v-col cols="12" align="center">
                <v-img
                  max-width="176"
                  max-height="128"
                  src="../assets/kabupatens/logo_simpati.png"
                ></v-img>
                <span class="font-weight-bold text-subtitle-1">SIMPATI</span><br />
                <span class="text-subtitle-2"
                  >Kabupaten Buleleng</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>

    </v-row>
  </div>
</template>

<script>
export default {
  name: "kabupaten",
  components: {},
  data: () => ({
    height: 200,
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Kabupaten/Kota",
        disabled: true,
        href: "kabupaten",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "Layanan Kabupaten/Kota");
  },
  methods: {
    open_breadcum() {
      this.$router.back();
    },
    siopa() {
      this.$store.dispatch('constant/set_title', 'SIOPA')
      this.$router.push(`/kabupaten/siopa`);
    },
    puspa() {
      this.$store.dispatch('constant/set_title', 'PUSPA')
      this.$router.push(`/kabupaten/puspa`);
    },
    pasupati() {
      this.$store.dispatch('constant/set_title', 'PUSPA')
      this.$router.push(`/kabupaten/puspa`);
    },
    pinter() {
      this.$store.dispatch('constant/set_title', 'PINTER')
      this.$router.push(`/kabupaten/pinter`);
    },
    puspaka() {
      this.$store.dispatch('constant/set_title', 'PUSPAKA')
      this.$router.push(`/kabupaten/puspaka`);
    },
  },
};
</script>

<style scoped>
</style>
